function two_spins_build_up_H1H2 = fitfun(sigma_H1H2,D)

sigmaEff_scaling        	= [0 0 0];

time                		= D(:,1);
rho_H1              		= D(1,2); 
rho_H2              		= D(2,2);

sigmaEff_scaling(1)         = D(1,3);
sigmaEff_scaling(2)         = D(2,3);
sigmaEff_scaling(3)         = D(3,3);
    
lambda_p                	= lambdaPlusScaledFun(abs(rho_H1),abs(rho_H2),sigmaEff_scaling,sigma_H1H2);
lambda_m                	= lambdaMinusScaledFun(abs(rho_H1),abs(rho_H2),sigmaEff_scaling,sigma_H1H2);

two_spins_build_up_H1H2 	= two_spins_build_up_Fun(lambda_p,lambda_m,sigma_H1H2,time,sigmaEff_scaling);